package cn.superdesk.uniorder.dao.mapper.base;

import cn.superdesk.uniorder.dao.entity.base.UnifiedOrderGoods;
import cn.superdesk.uniorder.dao.entity.base.UnifiedOrderGoodsExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UnifiedOrderGoodsMapper {
    long countByExample(UnifiedOrderGoodsExample example);

    int deleteByExample(UnifiedOrderGoodsExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedOrderGoods record);

    int insertSelective(UnifiedOrderGoods record);

    List<UnifiedOrderGoods> selectByExample(UnifiedOrderGoodsExample example);

    UnifiedOrderGoods selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedOrderGoods record, @Param("example") UnifiedOrderGoodsExample example);

    int updateByExample(@Param("record") UnifiedOrderGoods record, @Param("example") UnifiedOrderGoodsExample example);

    int updateByPrimaryKeySelective(UnifiedOrderGoods record);

    int updateByPrimaryKey(UnifiedOrderGoods record);
}